// ========== GET SEARCH PARAMETERS
function getSearchParams(k){
    var p={};
    location.search.replace(/[?&]+([^=&]+)=([^&]*)/gi,function(s,k,v){p[k]=v})
    return k?p[k]:p;
}
// ========== END GET SEARCH PARAMETERS